/**
 * @file gui_demo.h
 * @brief quick examples for GUI usage
 * @author Duboisset Philippe
 * @version 0.1b
 * @date (yyyy-mm-dd) 2013-07-13
 *
 * Copyright (C) <2013>  Duboisset Philippe <duboisset.philippe@gmail.com>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
 
#include "gui_demo.h"


static pPage currentPage;


void SetPage(pPage p) {
  currentPage = p;
}


void GUI_Demo(void) {

  SetPage(DemoSplash);

  while(1) {

    if(currentPage != NULL) currentPage();
    
    else {
      while(1) DelayMs(1);
    }
  }
}


void DemoSplash(void) {

  rect_st rec;

  /*
   * Page construction
   */

  /*delete all objects & clear the screen*/
  GUI_ClearAll();
  
  SetFont(G_FONT_BIG);

  rec = GUI_Rect(5, 70, 316, 25);
  GUI_AddText(&rec, "DIY Smart TFT");

  rec = GUI_Rect(5, 90, 316, 25);
  GUI_AddText(&rec, "Based on a PIC32 / ILI9320 (PMP 16bits)");

  rec = GUI_Rect(5, 110, 316, 25);
  GUI_AddText(&rec, "C32 (v2.02) compiler, using -O3");

  rec = GUI_Rect(5, 130, 316, 25);
  GUI_AddText(&rec, "Under OSHW / GPL3");

  SetFont(G_FONT_DEFAULT);

  /*button 'next' */
  rec = GUI_Rect(260, 218, 55, 20);
  GUI_AddButton(&rec, "Start", 5 /*5 <=> image <next>*/);
  GUI_SetSignal(E_PUSHED_TO_RELEASED, 1);

  /*main loop*/
  while(1) {

    /**
     * GUI process
     */
    /*execute GUI task*/
    GUI_DrawObjects();

    /*handle user events*/
    if(GUI_ReadSignal() != 0) {
      SetPage(DemoPage1);
      break;
    }

    /*release CPU*/
    DelayMs(1);
  }
}

