/**
 * @file gui_demo.h
 * @brief quick examples for GUI usage
 * @author Duboisset Philippe
 * @version 0.1b
 * @date (yyyy-mm-dd) 2013-07-13
 *
 * Copyright (C) <2013>  Duboisset Philippe <duboisset.philippe@gmail.com>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
 
#ifndef _gui_demo_h_
#define _gui_demo_h_

#include "gui.h"
#include "delay.h"

typedef void (*pPage)(void);

void SetPage(pPage p);
void GUI_Demo(void);

void DemoSplash(void);
void DemoPage1(void);       /*graph demo*/
void DemoPage2(void);       /*button, checkbox & radio demo*/
void DemoPage3(void);       /*slider & value box demo*/
void DemoPage4(void);       /*massive objects*/
void PageDigitalIO(void);
void PageAna(void);
void PageInfo(void);

#endif
